package com.ruoyi.system.utils.jsch;

import java.net.UnknownHostException;
import java.net.InetAddress;

public class DomainToIpChecker
{
    public static boolean check(final String domain, final String expectedIP) {
        try {
            final InetAddress address = InetAddress.getByName(domain);
            final String resolvedIP = address.getHostAddress();
            return resolvedIP.equals(expectedIP);
        }
        catch (final UnknownHostException e) {
            return false;
        }
    }
    
    public static void main(final String[] args) {
        final String domain = "r8cc.com";
        final String expectedIP = "23.224.9.186";
        final boolean isResolved = check(domain, expectedIP);
        System.out.println("Is " + domain + " resolved to " + expectedIP + "? " + isResolved);
    }
}
